## org.openorb.net
Interface ClientProtocol

All Known Implementing Classes:
  IIOPClientProtocol

public interface ClientProtocol

The client protocol is used to generate client bindings from an IOR and may perform some management of the client channels.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Method Summary
`Address[]` `createAddresses(IORAddressingInfo address)` Create addresses from component in IOR.
`ClientBinding` `createBinding(Address address)` Returns a ClientBinding object, prioritised at the per-profile (inter-component) level.
`ORB` `orb()` An orb reference.

Method Detail

### orb

    public ORB orb()

  An orb reference.

### createAddresses

    public Address[] createAddresses(IORAddressingInfo address)

  Create addresses from component in IOR. The client addresses in the returned bindings should return identical results for each of the addressing disposition types.

### createBinding

    public ClientBinding createBinding(Address address)

  Returns a ClientBinding object, prioritised at the per-profile (inter-component) level.